Package uk.ac.starlink.table.join

# Class FixedSkyMatchEngine.InDegrees

java.lang.Object
uk.ac.starlink.table.join.AbstractSkyMatchEngine
uk.ac.starlink.table.join.FixedSkyMatchEngine
uk.ac.starlink.table.join.FixedSkyMatchEngine.InDegrees

All Implemented Interfaces:
  `MatchEngine`

Enclosing class:
  `FixedSkyMatchEngine`

public static class FixedSkyMatchEngine.InDegrees extends FixedSkyMatchEngine
MatchEngine class that behaves like FixedSkyMatchEngine but uses human-friendly units (degrees and arcseconds) rather than radians for tuple elements and match parameters.

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.table.join.FixedSkyMatchEngine

`FixedSkyMatchEngine.InDegrees`

## Constructor Summary

Constructors
Constructor
Description
`InDegrees(SkyPixellator pixellator, double sepRadians)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.DescribedValue[]`
`getMatchParameters()`
Returns a set of DescribedValue objects whose values can be modified to modify the matching criteria.
`uk.ac.starlink.table.ValueInfo[]`
`getTupleInfos()`
Returns a set of ValueInfo objects indicating what is required for the elements of each tuple.

### Methods inherited from class uk.ac.starlink.table.join.FixedSkyMatchEngine

`createCoverageFactory, createMatchKitFactory, getMatchScoreInfo, getScoreScale, getSeparation, setSeparation, toString`

### Methods inherited from class uk.ac.starlink.table.join.AbstractSkyMatchEngine

`calculateSeparation, getPixellator, getScale, getTuningParameters, isSkyPosition, setScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InDegrees

public InDegrees(SkyPixellator pixellator, double sepRadians)
Constructor.

Parameters:
  `pixellator` - handles sky pixellisation
  `sepRadians` - initial value for maximum match separation, in radians

## Method Details

### getTupleInfos

public uk.ac.starlink.table.ValueInfo[] getTupleInfos()
Description copied from interface: `MatchEngine`
Returns a set of ValueInfo objects indicating what is required for the elements of each tuple. The length of this array is the number of elements in the tuple. Each element should at least have a defined name and content class. The info's `nullable` attribute has a special meaning: if true it means that it makes sense for this element of the tuple to be always blank (for instance assigned to no column).

Specified by:
  `getTupleInfos` in interface `MatchEngine`
Overrides:
  `getTupleInfos` in class `FixedSkyMatchEngine`
Returns:
  array of objects describing the requirements on each element of the tuples used for matching

### getMatchParameters

public uk.ac.starlink.table.DescribedValue[] getMatchParameters()
Description copied from interface: `MatchEngine`
Returns a set of DescribedValue objects whose values can be modified to modify the matching criteria. Typically at least one of these will be some sort of tolerance separation which determines how close tuples must be to count as a match. This match engine's behaviour can be modified by calling `DescribedValue.setValue(java.lang.Object)` on the returned objects.

Specified by:
  `getMatchParameters` in interface `MatchEngine`
Overrides:
  `getMatchParameters` in class `FixedSkyMatchEngine`
Returns:
  array of described values which influence the match